blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
7502dee5692b043744036a5ff0097e01e2327ecc
Shell
brncsk/dotfiles
/tmux/.tmux/segments/acpitemp/acpitemp.segment.zsh
UTF-8
777
2.84375
3
[]
no_license
function status_segment_acpitemp { local DEFAULT_LOW_MAX=70 local DEFAULT_MID_MAX=85 local low_max=${THEME_TEMP[low_max]:-$DEFAULT_LOW_MAX} local mid_max=${THEME_TEMP[mid_max]:-$DEFAULT_MID_MAX} local tempdata="$(acpi -t | sed -e 's/\(Thermal 0: \|degrees C\|,\)//g')" local tempstat=`echo "${tempdata}" | cut -d...
true
7d6b648cc413c96ba2655a25a892eff444d9c3c7
Shell
GurjotSinghAulakh/operating-systems
/Bash/funksjoner.sh
UTF-8
583
3.703125
4
[]
no_license
#! /bin/bash users(){ date who } users # Kall paa en funksjon ETTER deklarasjon findUser(){ echo "funk-args: $*" local bruker # Lokal variabel bruker=$1 funn=$(grep ^bruker /etc/passwd) # Global if [ "$funn" ]; then return 0 # Alt ok fi return 1 } # Hovedprog echo "Script args: $*" for us...
true
2ce8f7379686a696a3a619d9e8f60a1fecd2c071
Shell
killangell/linux-auto-installation
/unit_test/tools/core/kickstart/test_ks_template_handler.sh
UTF-8
6,980
2.96875
3
[]
no_license
source debug.sh source ks_template_handler.sh #Global define, should be unique in system test_ks_template_handler_func_index="null" test_ks_template_handler_func_arr="null" test_ks_template_handler_func_iterator="null" UNIT_TEST_TMP_DIR=$RUNNING_DIR/unit_test/tools/core/kickstart mkdir -p $UNIT_TEST_TMP_DIR test_k...
true
5b1e7be56fb234d8e9111000afc0b9d3ff8ead90
Shell
XORkey/SLWP
/com/xorkey/login/login_server/HSM.sh
UTF-8
1,481
3.625
4
[]
no_license
#!/bin/sh # # DESCRIPTION: Calculate login values using the array with secret keys. # This is a simulation of the computations of the HSM. # SYNTAX: # HSM.sh <Au> <Ks> <n> <v> <i> # ARGUMENTS: # <Au>: [hex string] # Au. # <Ks>: [hex string] # Ks. # <n>: [int] # Number of bits. There is a maximum imp...
true
22cefe47169a594d0fc571d8c57e37f8084466c1
Shell
Flavio-Varejao/Exercicios
/Shell Script/Q17.sh
UTF-8
303
3.734375
4
[ "MIT" ]
permissive
#!/usr/bin/env bash #Faça um programa que calcule o fatorial de um número inteiro fornecido pelo usuário. Ex.: 5!=5.4.3.2.1 read -rp "Digite um número inteiro: " num fatorial=1 for ((numero=1; numero<=num; numero++)); do fatorial=$((fatorial*numero)) done echo "Fatorial de $num é $fatorial"
true
37bb8564adef93e6cb452bed87b3bfba2a6aa710
Shell
vovanshu/linxbackup2
/steps/440_usr_lib_libamdocl64.sh
UTF-8
188
2.578125
3
[]
no_license
# if [[ $(ls ./usr/lib/libamdocl64*) ]]; then if [ -f "./usr/lib/libamdocl64*" ] ; then defbk $n 'usr/lib/libamdocl64*' 'usr.lib.libamdocl64' else skipmsg $n 'usr.lib.libamdocl64' fi
true
ba916fd268c77a785b9792043b07996363fa5cad
Shell
markfili/android-shell-commands
/install_apk_ssh.sh
UTF-8
974
3.671875
4
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/bash # a script to install APK on multiple devices over SSH # IP and port settings are read from a file # file line format example: # 192.168.1.12:2223 APK_FOLDER=home/user/Development/android/projects/test/app/build/outputs/apk APK_FLAVOR=free APK_BUILD_TYPE=debug APK_FILE=app_debug.apk APP_PACKAGE_NAME=com.t...
true
602feac54413c0db64839d87494651db781d85da
Shell
chennachaos/gen3dpreprocessor
/bin/fortranjob.job
UTF-8
1,226
2.65625
3
[]
no_license
#!/bin/bash # Set the name of the job # (this gets displayed when you get a list of jobs on the cluster) #SBATCH --job-name="parallelfort" #SBATCH --output=fortran-partition.out # Specify the maximum wall clock time your job can use # (Your job will be killed if it exceeds this) #SBATCH --time=5:00:00 # Specify the ...
true
a9985a36f09e1bd6e101d551de4c1cb8b480fd57
Shell
widnyana/dotfiles
/bin/swagger-editor
UTF-8
380
2.84375
3
[]
no_license
#!/usr/bin/env bash if [[ "$(docker inspect "swaggerapi/swagger-editor" >> /dev/null 2>&1)" ]]; then echo -e "Pulling swaggerapi/swagger-editor from docker hub" docker pull "swaggerapi/swagger-editor:latest" fi echo -e "Running swagger-editor..." docker run -p 80:8080 swaggerapi/swagger-editor #echo -e "Opening...
true
62c0517b31ea7e5bc1a36d9fffa2a3913fc3e212
Shell
m2f0u4d/var
/remove-i2p.sh
UTF-8
2,926
2.890625
3
[]
no_license
#/bin/sh TORCONF=" 'TransPort 127.0.0.1:9041' 'DnsPort 127.0.0.1:54'" NEWBINDS=" binds+=( '/etc/i2p' ) binds+=( '/var/lib/i2p/i2p-config/' )" OLDBINDS=" '/rw/srv/whonix/etc/i2p:/etc/i2p' '/rw/srv/whonix/var/lib/i2p/i2p-config:/var/lib/i2p/i2p-config' '/rw/srv/whonix/usr/share/i2p:/usr/share/i2p'" FWCONFIG=NO_NAT_USERS...
true
14e28020c60f276091cba3cbc8952703a053401c
Shell
Ohyoukillkenny/parallelTest
/scripts/uniform_threadN.sh
UTF-8
1,376
2.609375
3
[]
no_license
#!/usr/bin/env bash ROOT=".." ENV="java -classpath $ROOT/target/classes/ " ROUND="3" STREAM_LENGTH="100000000" NUM_OF_KEYS="10000" RANGE_OF_VALS="1000" echo ">>>>>> baseline (no child thread) <<<<<<<" for ((i = 0 ; i < $ROUND ; i++)); do $ENV groupbySum.Thread_Single_Uniform $STREAM_LENGTH $NUM_OF_KEYS $RANGE_OF_VA...
true
f9189ac832a31b13ec19e01edf9caea8803f2ca1
Shell
rsling/linkingelements
/Data/Database/compounds/extract_compounds.sh
UTF-8
127
2.5625
3
[]
no_license
#!/bin/bash set -e set -u gunzip -c ${1} | cut -s -f9 | grep -v '^_$' | sort -T . -S 5G > $(basename ${1} .xml.gz)_comps.txt
true
cacbff9afe98e36899f2695adac9227530c261cd
Shell
PhyloStar/NorskASK
/rest-udpipe
UTF-8
319
2.828125
3
[]
no_license
#!/bin/bash INFILE=$1 OUTFILE=$2 BASE_URL="https://lindat.mff.cuni.cz/services/udpipe/api/process" MODEL="norwegian-bokmaal-ud-2.3-181115" # Norwegian (bokmål) PARAMS="-F data=@$INFILE -F input=horizontal -F tagger= -F parser= -F model=$MODEL" curl "$PARAMS" "$BASE_URL" | jq --raw-output ".result" > "$OUTFILE"
true
d9bbf453186fe430fc0a8b9bc7ee932e03998d4a
Shell
linuxmint/ubiquity
/tests/build
UTF-8
1,342
3.15625
3
[]
no_license
#!/bin/sh # I'm sure replicating much of debian/rules is entirely wrong, but I'm going to # do it anyway... if ! dpkg-checkbuilddeps; then sudo apt-get -y build-dep ubiquity fi if [ ! -e d-i/source ]; then make -C d-i update make -C d-i build fi [ -e src/Makefile ] || ./configure make -C src rebuild=false if [ !...
true
f54f3afc236efcb8675990770b8405d2548a09ef
Shell
zchee/zsh-default-completions
/src/Unix/Type/_diff_options
UTF-8
9,267
3.71875
4
[]
no_license
#autoload local of ofwuc ouc oss ofwy ofwg ofwl cmd variant local -a args cmd="$1" shift _diff_palette() { local context state line ret=1 local -a suf _values -s : attribute \ "ad[added text]:attribute [32]:->attrs" \ "de[deleted text]:attribute [31]:->attrs" \ "hd[header]:attribute [1]:->attrs" \ ...
true
9c1ac9ac8a94703634cf13fc5006f2a61b70fb51
Shell
GligorGrigorov/os-course-2020
/shell/05/05-b-9200.sh
UTF-8
437
3.359375
3
[]
no_license
#!/bin/bash if [ $# -lt 1 ]; then echo "Wrong arg. num." exit 1 fi if [ ${1} = "-r" ]; then if [ $# -lt 2 ]; then echo "Wrong Arg. num." exit 2 fi touch "${logFile}" shift 1 while [ $# -ne 0 ]; do echo -n $(date) >> "${logFile}" rm -rdv ${1} &>> "${logFile}" shift 1 done exit 0 fi tou...
true
21524a404177b37ea9eb6141ac66940b05e9c998
Shell
DeepBehavier/STR-PIP
/scripts_dir/test_loc_concat.sh
UTF-8
1,830
2.625
3
[]
no_license
#!/bin/bash # mode='evaluate' mode='extract' gpu_id=0 n_workers=0 n_acts=1 seq_len=1 predict=0 pred_seq_len=30 # test only slide=0 rand_test=1 log_every=10 split='train' # split='test' use_gru=1 use_trn=0 pos_mode='none' use_act=0 use_gt_act=0 use_pose=0 # branch='ped' branch='both' collapse_cls=0 combine_method=...
true
11614dc5e55bb1f0023c0ac72f39db4ba00a5038
Shell
specialworld83/condres-packages
/nagios/check_md_raid/PKGBUILD
UTF-8
1,702
2.59375
3
[]
no_license
# Maintainer: Condres OS Dev Team (x86_64) <info@codelinsoft.it> pkgname=check_md_raid pkgver=0.7.2 pkgrel=9 pkgdesc="Linux Software RAID Monitoring Plugin for Nagios" arch=('any') url="http://exchange.nagios.org/directory/Plugins/Operating-Systems/Linux/Linux-Software-Raid-Plugin-for-32-2Dbit-and-64-2Dbit-systems/de...
true
6052b3d63c40e0e44fbc453b37b9f2173471b0e4
Shell
AlexHarn/modded-PPC
/real/fit/compress.sh
UTF-8
106
2.609375
3
[]
no_license
#!/bin/sh dir=out/tmp.$1 egrep '(War|Err)' $dir/run-*/fit.*/log* rm -r $dir/run-* gzip $dir/{out,log}*
true
1ab5d81ba699b0df498683ec2f212235c0dd9bce
Shell
burmist-git/corto_win2
/mountBackup.bash
UTF-8
1,551
3.25
3
[]
no_license
#!/bin/bash ######################################################################## # # # Copyright(C) 2017 - CORTO Collaboration # # Mon Sep 11 10:34:14 CEST 2017 # # Autor: Leonid...
true
1873f2e0b16c41c6cfae39f01962f34e61ea37f9
Shell
qrush/go
/assignment2/test/run
UTF-8
2,254
3.59375
4
[]
no_license
#!/bin/bash PASSED=0 FAILED=0 function t { e "$1" test "$EVAL" = "$2" if [ $? = 0 ] then echo " PASS: '$1' = '$2'" pass else echo " FAIL: '$1' = '$2' WAS '$EVAL'" fail fi } function m { if [[ $EVAL =~ $1 ]] then echo " PASS: =~ '$1'" pass else echo " FAIL: '$EVAL...
true
fc1d03c562703a8d273bec709f5fb024b245814d
Shell
4charles2/livre
/Scripts-shell-Linux-et-Unix/exemples/ch05-Commandes_Variables_Systeme/exemple_getopts_1.sh
ISO-8859-2
371
3.859375
4
[]
no_license
#! /bin/sh while getopts "abc:d:" option ; do echo -n "Analyse argument numro $OPTIND : " case $option in a ) echo "Option A" ;; b ) echo "Option B" ;; c ) echo "Option C, argument $OPTARG" ;; d ) echo "Option D, argument $OPTARG" ;; ? ) echo "Inconnu" ;; esac done shift $((OPTIND - 1)) while [ $# -ne 0 ]...
true
8dacb7f627fae3e51f3cd670c372f1a505cb231a
Shell
brainlife/app-dipy-csamodel
/submit.pbs
UTF-8
1,558
3.015625
3
[]
no_license
#!/bin/bash #PBS -l nodes=4:ppn=16:dc2,walltime=0:45:00 #PBS -N app-dipy-csamodel #PBS -V #for local testing if [ -z $SERVICE_DIR ]; then export SERVICE_DIR=`pwd`; fi #ENV="IUHPC" [ $PBS_O_WORKDIR ] && cd $PBS_O_WORKDIR if [ $ENV == "IUHPC" ]; then if [ $HPC == "KARST" ]; then module unload python module load ...
true
a022452f50aaee80180551a8d1f8f30c42bddfc4
Shell
peterroelants/dotfiles
/setup.sh
UTF-8
3,011
3.265625
3
[]
no_license
#!/usr/bin/env bash ####################################### # Create symlinks from files in this directory to the corresponding # dot files in the home directory. ####################################### # Variables ####################################### # directory with dotfiles setup_script_path=`realpath $0` dotdir...
true
649a1a20d2719e67dad76b4422762e8491b6adf1
Shell
mt5555/remap-ncl
/tests/toporemap-test.sh
UTF-8
1,770
2.875
3
[]
no_license
#!/bin/bash # # map ne120 highres topo to low res RLL gridtest ne20np4 and ne30pg2 maps to lat/lon grids # # used to llok at downsampling errors # # bilin vs mono/intbilin # not a clear advantage between bilin and mono # # what about Y16_32? # # exepath=~/codes/tempestremap/ wdir=~/scratch1/mapping mapalg=bilin_e...
true
ffc3f53abe72f7d2591cdfbb9e213af7953110f7
Shell
xingmegshuo/pro
/python/docker/docker_com/start.sh
UTF-8
404
2.578125
3
[]
no_license
#!/bin/bash if ! sudo docker images |grep com;then sudo docker build -t com django-uwsgi-nginx fi if sudo docker ps -a |grep -i comapp; then sudo docker rm -f comapp sudo docker run -itd --link mysql:mysql --name comapp -p 80:80 \ com else sudo docker run -itd --link mysql:mysql -p 80:80 \ ...
true
6ccf5642108b8a4609b86ecc78923dfad1130bd9
Shell
simon04/pkgbuilds
/osmtogeojson/PKGBUILD
UTF-8
726
2.53125
3
[ "Unlicense" ]
permissive
# Maintainer: Simon Legner <Simon.Legner@gmail.com> pkgname=osmtogeojson pkgver=3.0.0b4 _npmver=3.0.0-beta.4 pkgrel=1 pkgdesc="Convert OSM data to GeoJSON" arch=(any) url="https://github.com/tyrasd/osmtogeojson#readme" license=('MIT') depends=('nodejs') makedepends=('npm') source=(http://registry.npmjs.org/$pkgname/-/$...
true
43b47559b490c72c70d108ca8b817c793b911b3f
Shell
monty-pavel/indexfs_old
/sbin/start-all.sh
UTF-8
2,295
3.75
4
[]
no_license
#!/bin/bash # # Copyright (c) 2014 The IndexFS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. See the AUTHORS file for names of contributors. # # Please run this script at the indexfs's home directory: # > sbin/start-all.sh # # Use t...
true
c7385a9079df20e6bdb3b53727f952adfb1edb39
Shell
InkubatorTieto/melvil
/docker/remove-container.sh
UTF-8
2,537
3.34375
3
[]
no_license
#!/bin/bash # clear *.pyc files . docker/clear-cache.sh remove_container () { # cases for removing specific test container case "$1" in "t") # find IDs of all test containers found_containers=$(docker ps -a --filter 'name=melvil_tests' --format "{{.ID}}") if [ '$found_containers' ] ; then ...
true
9143d164650189d055c1cac37bab0c92b69122a1
Shell
DanSchum/NMTGMinor
/start_preprocessing.sh
UTF-8
343
2.609375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Define a timestamp function timestamp() { date +"%Y_%m_%d_%H_%M_%S" } # start training timestampValue=$(timestamp) outputFilename="logs/outputPreprocessing_"$timestampValue".log" #echo $outputFilename sbatch -c 1 --mem=10000 -t 3-00 -p HPC -o $outputFilename -e $outputFilename cmd_preprocessi...
true
f805a196ff019f6e13d894c2b35040bcf50c0752
Shell
kvz/jekyll-docker
/script/travis
UTF-8
104
2.578125
3
[ "ISC" ]
permissive
#!/bin/bash set -e # What we want to run on the CI. for v in install build deploy; do script/$v done
true
dbabe0ebbafa1a5ae1c7697398a520104ac0917d
Shell
DarcJC/gamemath-cn
/bin/create_page.sh
UTF-8
276
3.34375
3
[]
no_license
# /usr/bin/env bash echo "请输入文件名(示例:000-奇奇怪怪的页面, 无需.md后缀): "; read filename; if [ ! -d "pages" ]; then cp ../template/template.md ../pages/$filename.md else cp templates/template.md pages/$filename.md fi echo "文件创建完成..."
true
460c1922bc07cf4207004b831265d33a5126a71f
Shell
pbr90x/flask-jwt-example
/setup.sh
UTF-8
186
2.53125
3
[ "MIT" ]
permissive
#!/bin/bash if [[ ! -f "server.crt" || ! -f "server.key" ]] then ./create_selfsigned_cert.sh fi if [[ ! -f "ec-pub.key" || ! -f "ec.key" ]] then ./create_ec_signing_keys.sh fi
true
064a55487c66b2a59912926abfddccd9a9837b5c
Shell
kanoop640/SnakeLadder
/SanekLadder.sh
UTF-8
2,003
3.53125
4
[]
no_license
echo " Welcome to Snake and Ladder Game " len=100 declare -A arr[100] for(( k=0;k<100;k++ )) do arr[$k]=$len len=$(( len-1 )) done count=0 print() { echo "----------------------------------------------------" for(( i=0;i<10;i++ )) { if(( $i%2!=0 )) then count=$(( count+9 )) fi for(( j=0; j<10; j...
true
f79bed96b0d5061e5357ecfa34f425a0144ba043
Shell
nguyendinhnien/elasticsearch5-kubenetes
/run-elastic.sh
UTF-8
1,176
3.453125
3
[]
no_license
#!/bin/bash echo "Creating Elasticsearch services..." kubectl create namespace es-cluster kubectl create -f es-discovery.yaml kubectl create -f es-svc.yaml kubectl create -f es-master.yaml # Check to see if the deployments are running while true; do active=`kubectl get deployments --all-namespaces | grep es-m...
true
758ec7716067dc863629d7b7264e5c648ab9d90e
Shell
GUOShuxuan/eval-nas
/scripts/nasbench-sampler-search.sh
UTF-8
2,350
3.328125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Template file for submit jobs or testing with interactive jobs. PYTHON=python PARTITION=gpu SUBMIT_FILE='slurm-submit.sh' DAYS=20 EXPERIMENT="cnn-nasbench" if [ $1 = "debug" ]; then policy='nao' SUB_EXP="cifar_nasbench_${policy}" node=5 $PYTHON cnn_search_main.py --epochs=4 \ --sa...
true
c5a82629ed4a9ffabf46885fd434cd797d80ca34
Shell
kara-franco/bash-script
/stats
UTF-8
9,347
4.28125
4
[]
no_license
#!/bin/bash # stats.sh # Kara Franco # CS 344 Operating Systems # Program 1 - A bash shell script that computes statistics. This program may be used to calculate the averages # and medians of either the rows OR columns of an input file of whole numbers. # program will start when user enters the correct commands - s...
true
825cf751d2c0b1845670a3b52cfe6374e42ee3a3
Shell
pdonorio/irods2graph
/irodsgraph/bootstrap.sh
UTF-8
1,209
3.25
3
[ "BSD-2-Clause" ]
permissive
USER=`whoami` export HOME="/home/$USER" IRODS_DIR="$HOME/.irods" IRODS_ENV="$IRODS_DIR/.irodsEnv" rm -f $IRODS_ENV mkdir -p $IRODS_DIR if [ "$1" == "remote" ]; then echo "Remote connection" # dmp1.local remoteconf=" irodsHost 130.186.13.14 irodsPort 1247 irodsHome '/cinecaDMPZone/home/pdonor...
true
8f8452e25c7ebbf18ff39c55c8ad86962b182883
Shell
limbo018/rsyn-x
/rsyn/install/bin/gurobi.sh
UTF-8
266
2.96875
3
[ "Apache-2.0" ]
permissive
#!bin/bash export GUROBI_HOME="/opt/gurobi702/linux64" if [! -d "$GUROBI_HOME" ]; then echo "[ERROR] Gurobi not installed!" exit 1 fi export PATH="${PATH}:${GUROBI_HOME}/bin" export LD_LIBRARY_PATH="${GUROBI_HOME}/lib" gurobi_cl Threads=$1 ResultFile=$2 $3
true
97b35ea891a8ee3d1980c8b1134952f50db3094a
Shell
zeuxisoo/my-scripts
/shell-backup-all-db-to-dropbox/backup.sh
UTF-8
1,267
3.796875
4
[]
no_license
#!/bin/bash # Settings TIMESTAMP=$(date +"%F") BACKUP_DIR="backup/$TIMESTAMP" MYSQL_USER="MYSQL_USER" MYSQL_PASS="MYSQL_PASSWORD" MYSQL_SELF="/usr/local/mysql/bin/mysql" MYSQL_DUMP="/usr/local/mysql/bin/mysqldump" DROPBOX_PATH="/Backup/Server/Database/All" # Create backup directory mkdir -p $BACKUP_DIR # Get all d...
true
2cb64682e78c44f1300091cd87fd2f28c6bc4da6
Shell
ahochleitner/CodeOne2018_JvmCpuMemory4DockerInProduction
/Memory/12_runAllMemoryInfo.sh
UTF-8
899
3.484375
3
[]
no_license
#!/bin/bash MAIN=MemoryInfo #MAIN=PrintMemoryInfo if [ "$#" = "1" -a "$1" = "-usage" ]; then echo "run Java7 ... Java11-Docker with MemoryInfo inside" echo "usage: $0" echo "usage: $0 -setMemory1024m" echo "usage: $0 -setCpus" echo "usage: $0 -setCGroupMemoryLimitForHeap" exit 1 fi if [ "$1" = "-setMemor...
true
37d1b9496635fb96150c4e42fadfd503ac5f2135
Shell
amerlyq/airy
/zsh/#/accept-line.zsh
UTF-8
4,333
3.59375
4
[ "MIT" ]
permissive
# a generic accept-line wrapper # This widget can prevent unwanted autocorrections from command-name # to _command-name, rehash automatically on enter and call any number # of builtin and user-defined widgets in different contexts. # # For a broader description, see: # <http://bewatermyfriend.org/posts/2007/12-26.11-5...
true
2bfb5fabc5b0b6a1f9d46d63a7224e8d1066cb7c
Shell
rainboyan/grails-data-mapping
/travis-build.sh
UTF-8
739
3.171875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash EXIT_STATUS=0 ./gradlew --stop if [[ $TRAVIS_TAG =~ ^v[[:digit:]] ]]; then echo "Tagged Release Skipping Tests for Publish" ./travis-publish.sh || EXIT_STATUS=$? else ./gradlew --no-daemon compileTestGroovy || EXIT_STATUS=$? if [[ $EXIT_STATUS -eq 0 ]]; then ./gradlew --no-daemon ...
true
d4272a43a00c3e9bd65ed79055c38002f651eaef
Shell
gillins/conda-recipes-rios-channel
/pylidar/run_test.sh
UTF-8
288
3.015625
3
[]
no_license
#!/bin/sh if [ "x$PYLIDAR_TESTDATA" = "x" ]; then echo "Set \$PYLIDAR_TESTDATA to location of latest testdata_X.tar.gz" echo "from https://bitbucket.org/chchrsc/pylidar/downloads" echo "to run test as part of build" exit 0 fi pylidar_test -i $PYLIDAR_TESTDATA -p /tmp
true
481b305303a05d1e177894ae0ab53ecd7611d2d7
Shell
yuvaldori/DevOps
/releasemanagement/scripts/allproj/rename_branch.sh
UTF-8
955
3.84375
4
[]
no_license
#!/bin/bash function exit_on_error { status=$? echo "exit code="$status if [ $status != 0 ] ; then echo "Failed (exit code $status)" #exit 1 fi } old_branch_name="10.1.1-patch1" new_branch_name="10.1.1patch1-build" for dir in `pwd`/*/ do dir=${dir%*/} repo=${dir##*/} ...
true
916bb504ca19e0a250f5e11aeb036b1bfe2dfb52
Shell
jhajek/packer-vagrant-build-scripts
/packer/scripts/itmo-453-553/post_install_itmo-453-553-vagrant-ub-graphitea-setup.sh
UTF-8
2,707
2.78125
3
[]
permissive
#!/bin/bash set -e set -v # http://superuser.com/questions/196848/how-do-i-create-an-administrator-user-on-ubuntu # http://unix.stackexchange.com/questions/1416/redirecting-stdout-to-a-file-you-dont-have-write-permission-on echo "vagrant ALL=(ALL) NOPASSWD:ALL" | sudo tee /etc/sudoers.d/init-users sudo cat /etc/sudoe...
true
205dcaea702f916cdb759a38861ee34ab94e2078
Shell
merothh/dotfiles
/setup.sh
UTF-8
2,825
3.703125
4
[]
no_license
#!/bin/bash cyan='tput setaf 6' yellow='tput setaf 3' reset='tput sgr0' release=$(sed -rn 's/^NAME="([^"]*)"/\1/p' /etc/os-release) echo -e "\n$($cyan)// Switch to $($yellow)zsh $($cyan)+ $($yellow)zsh-theme-powerlevel10k-git $($cyan)? [y/n]$($reset)?" read zsh case $release in "Arch Linux"|"Artix Linux"|"Manjaro...
true
e2749ff0518a06a710c02dc32d788b589a0f0f3f
Shell
marcosscriven/chromebook-coreboot
/provision/setup.sh
UTF-8
1,509
3.234375
3
[ "MIT" ]
permissive
#! /bin/bash apt-get update -qq echo "Installing deps for coreboot" apt-get install -qq -y git build-essential gcc-4.8-multilib iasl unzip sharutils echo "Installing ncurses for ad hoc 'make menuconfig'" apt-get install -qq -y libncurses-dev echo "Installing deps for coreboot cross-compilation toolchain build" apt-...
true
66c1484f08cb2148905a9650ca902890da9bbc9e
Shell
reven-tang/shell
/tomcat.sh
UTF-8
4,090
3.34375
3
[]
no_license
#!/bin/bash ############################################################################## # 脚本名称: tomcat.sh # 版本:3.00 # 语言:bash shell # 日期:2017-09-30 # 作者:Reven # QQ:254674563 ############################################################################## # 颜色定义 red='\e[91m' green='\e[92m' yellow='...
true
525df0b43ea66a5bceaa2d1eb5ec742b6e4e3757
Shell
gripped/xe503c12-stuff
/.bashrc
UTF-8
360
3.078125
3
[ "MIT" ]
permissive
# # ~/.bashrc # # If not running interactively, don't do anything [[ $- != *i* ]] && return alias ls='ls --color=auto' function bat() { a=$(</sys/class/power_supply/sbs-20-000b/charge_full) b=$(</sys/class/power_supply/sbs-20-000b/charge_now) c=$((b * 1000 / a)) d=$((c / 10)) e=$((c % 10)) printf "%i.%1i...
true
2764dc1a203a776cd7eda45bd05bc8859ad62748
Shell
shilezi/bitcoin-strings-with-txids
/gentoc.sh
UTF-8
670
3.4375
3
[]
no_license
#!/usr/bin/env bash set -eu readme=README.adoc sed -Ei "/^Here is the index of files:$/q" "$readme" printf "\n=== Inputs index\n\n" >> "$readme" n="$(ls data/in | tail -n1 | sed -r 's/0*//;s/.txt//')" i=0 while (( $i <= $n )); do f="$(printf data/in/%04d.txt "$i")" printf "* link:$f[] ($(du -sh "$f" | cut -f1))\n"...
true
81de40766c51e9380cb76f05989cf7ca415d51d5
Shell
LumberjacksIncorperated/OfflineModule
/DecryptFiles.sh
UTF-8
1,490
3.921875
4
[]
no_license
#!/bin/bash #------------------------------------------------------------------------------------------ #* #* PURPOSE #* ------- #* For use by the 'Haystack Application Offline Module' to decrypt received message and #* create the plaintext message files #* #* AUTHOR #* ------ #* Lumberjacks Incorperated (2018) #* #--...
true
6f5ae7547a0c84c42ac12504ba32d4f58b0f5565
Shell
yutkat/dotfiles
/.config/tmux/conf/scripts/renumber-sessions.sh
UTF-8
254
2.78125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # https://github.com/maximbaz/dotfiles/commit/925a5b88a8263805a5a24c6198dad23bfa62f44d sessions=$(tmux list-sessions -F '#S' | grep '^[0-9]\+$' | sort -n) new=1 for old in $sessions; do tmux rename -t "$old" "$new" ((new++)) done
true
7f74216a14ed679d9f621807f992ab3c4a71824e
Shell
maxned/GarageDoorControl
/distance.sh
UTF-8
784
3.3125
3
[]
no_license
# WiringPi pin 1 is GPIO 18 GPIO_TRIGGER=1 # WiringPi pin 5 is GPIO 24 GPIO_ECHO=5 gpio mode $GPIO_TRIGGER out gpio write $GPIO_TRIGGER 0 gpio mode $GPIO_ECHO in gpio mode $GPIO_ECHO up gpio write $GPIO_TRIGGER 1 sleep 0.00001 # Set trigger to LOW after 0.01ms gpio write $GPIO_TRIGGER 0 START_TIME=0 STOP_TIME=0 ...
true
2f0ef91e606c2cbaba780853142e5f088eac3adc
Shell
Amar1729/bin
/mkdir-files
UTF-8
708
4.53125
5
[]
no_license
#! /usr/bin/env bash # make a new directory and immediately move files into it usage () { echo "Usage:" echo " $(basename "$0") DIR FILE1 [FILE2 ...]" echo " FILE1, FILE2 will be moved into new directory DIR" echo " FILE* may be specified as a glob" } _check () { if [[ "$#" -lt 2 ]]; then ...
true
899170622ee3c150dfb20021a76e88130c89a6f3
Shell
sipman/ubuntu-installer
/scripts/android.sh
UTF-8
1,007
3.171875
3
[]
no_license
require java.sh # Ensure java 8 is used as android is old sudo update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java ANDROID_HOME="/usr/lib/android-sdk/" SDKMANAGER=${ANDROID_HOME}tools/bin/sdkmanager FILE=$(curl -s 'https://developer.android.com/studio#downloads' -o- | grep -o -m1 "sdk-tools-...
true
bca40cf60ba81c203a8b7863f43b8e09668f5f23
Shell
Simbotic/UnrealGAMS
/getDefaultEnv.sh
UTF-8
662
3.5
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash set -o errexit # UE4 environment ENVIRONMENT_URL=https://github.com/VertexStudio/UnrealGAMS/releases/download/v0.1/GrassMountains.zip if [ ! -d "$(pwd)/Content" ]; then echo "ERROR! You must execute command in the root of UE4 project." echo "If you are in the right place, make sure the 'C...
true
760d1a4e799c3cf93f1fa1d262ee35bbe5ea49ab
Shell
GoogleCloudDataproc/initialization-actions
/cloudbuild/run-presubmit-on-k8s.sh
UTF-8
1,182
3.484375
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash set -euxo pipefail readonly IMAGE=$1 readonly BUILD_ID=$2 readonly DATAPROC_IMAGE_VERSION=$3 readonly POD_NAME=presubmit-${DATAPROC_IMAGE_VERSION//./-}-${BUILD_ID//_/-} gcloud container clusters get-credentials "${CLOUDSDK_CONTAINER_CLUSTER}" LOGS_SINCE_TIME=$(date --iso-8601=seconds) kubectl run "${P...
true
7e8eb1d18dcf1bf7106b92b43017eaef951064d1
Shell
atteo/uberbin
/kube-watch
UTF-8
1,308
3.671875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # More safety, by turning some bugs into errors. set -euCo pipefail IFS=$'\n\t' green='\033[0;32m' reset='\033[0m' green() { echo -ne "${green}" echo "$@" echo -ne "${reset}" } namespace="$1" if [[ -z "$namespace" ]]; then export namespaceParam="-A" else export namespaceParam="-n $n...
true
f3316fbd0beee357d8537bcf1139038f88d3ef1a
Shell
mit0110/argument_mining
/scripts/01_create_configs.sh
UTF-8
1,174
3.734375
4
[]
no_license
DATA_DIR="../data/echr/for_training" FILES=( $(ls $DATA_DIR | sed 's/.\{4\}$//' | uniq) ) PARTITION_NUMBER=0 echo $FILES for TEST_FILENAME in "${FILES[@]}" do echo "Partition $PARTITION_NUMBER" echo "Test filename $TEST_FILENAME" mkdir "$DATA_DIR/partition$PARTITION_NUMBER" mkdir "$DATA_DIR/partition$P...
true
36454f29b8baa2a306c0405850a000519288c73e
Shell
bentyeh/scripts
/sh/conda_batch.sbatch
UTF-8
97
2.5625
3
[ "MIT" ]
permissive
#!/bin/bash ENV="$1" SCRIPT="$2" shift 2 source ~/.bashrc conda activate "$ENV" "$SCRIPT" "$@"
true
2113e407cdc94f7491a0fa99c17e436fe99ff7f0
Shell
ohmyzsh/ohmyzsh
/plugins/virtualenv/virtualenv.plugin.zsh
UTF-8
263
2.765625
3
[ "MIT" ]
permissive
function virtualenv_prompt_info(){ [[ -n ${VIRTUAL_ENV} ]] || return echo "${ZSH_THEME_VIRTUALENV_PREFIX=[}${VIRTUAL_ENV:t:gs/%/%%}${ZSH_THEME_VIRTUALENV_SUFFIX=]}" } # disables prompt mangling in virtual_env/bin/activate export VIRTUAL_ENV_DISABLE_PROMPT=1
true
65c13a244ad2b7d5d8253ec8d5eb8941f5daa266
Shell
mbrukman/ServiceWorker
/compile.sh
UTF-8
876
3.515625
4
[]
no_license
#!/bin/bash set -e # Exit with nonzero exit code if anything fails curlretry() { curl --retry 2 "$@" } curlbikeshed() { INPUT_FILE=$(find . -maxdepth 1 -name "*.bs" -print -quit) # The Accept: header ensures we get the error output even when warnings are produced, per # https://github.com/whatwg/what...
true
7af52943dba51be8d3d984fe6f975d3597a25e54
Shell
UniversityOfIowaHealthCare/gene-expression-tool
/MRI_to_Waxholm/003_regions_2_waxholm.sh
UTF-8
882
2.59375
3
[ "BSD-3-Clause" ]
permissive
# Diffusion space to structural space registration source=diffusion_b0.nii.gz # name of b0 image target=555_thr1200.nii.gz # name of the structural image flirt -in $source -ref $target -out b0_str.nii -omat b0_str.mat -bins 256 -cost corratio -searchrx -180 180 -searchry -180 180 -searchrz -180 180 -dof 12 -interp...
true
b112476ed7410e0ba28cbd9e8b83ad5fee8980d1
Shell
showsmall/ngx
/build.sh
UTF-8
940
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e Version=$(git describe --tags $(git rev-list --tags --max-count=1)) GitCommit=$(git rev-parse HEAD) BuildDate=$(date +"%F %T") binout=nq debug="-w -s" param="-X main.VERSION=${Version} -X main.GITLOG_VERSION=${GitCommit} -X 'main.BUILD_TIME=${BuildDate}'" build() { echo "build $1 $2 $3" export...
true
b219bdb30626e34f197ab4568cd27c9fc16fec38
Shell
Lee-L-Boyd/Improving-MapReduce-with-Spark
/project-master/PyScripts/NewsMiner/repeatScript.sh
UTF-8
236
2.6875
3
[]
no_license
#!/bin/bash while : do echo "Running Data Miner. Do not interrupt" date date >>progress.txt 2>&1 ./newsMiner.py >>progress.txt 2>&1 echo "Sleeping for twenty mins. You may kill process." date sleep 1200 done
true
e53f24f4c4d2600e337e3360a2d5c07a0249901a
Shell
istoliving/luci-app-kcptun
/root/etc/init.d/kcptun
UTF-8
5,846
3.09375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh /etc/rc.common # # Copyright 2016-2020 Xingwang Liao <kuoruan@gmail.com> # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless...
true
45a95c9b28c69b807ed2c7dc59d8f603577ad02c
Shell
TheBlackParrot/remote-control-thing
/vlc-cli.sh
UTF-8
4,176
3.046875
3
[]
no_license
#!/bin/bash ####### ~/.bin/controlvlc_socket.sh # # Purpose: Control vlc using your multimedia keys or cli # Author: j@mesrobertson.com # Date: 11-03-2011 # Dependancies: netcat-openbsd # # Instructions: # # * Place this scipt in your path and make it executable. # * Open VLC. # * Go to Tools...
true
c7283317d5f86f8422f118ca63df95cc8ff143de
Shell
Jimmy-Xu/packaging
/obs-packaging/linux-container/kata-multiarch.sh
UTF-8
1,079
4.4375
4
[ "GPL-2.0-only", "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e # Convert architecture to the name used by the Linux kernel build system arch_to_kernel() { local -r arch="$1" case "${arch}" in aarch64) echo "arm64";; ppc64le) echo "powerpc";; s390|s390x) echo "s390";; x86_64) echo "${arch}";; *) echo "unsupported architecture: ${arch}" >&2;...
true
fdbf40c54ecd11aa580225c0144daae9ab68f04d
Shell
MathieuB1/KOREK-backend
/nginx/ssl_conf/generate_ssl.sh
UTF-8
3,873
4.21875
4
[]
no_license
#!/bin/bash echo "Starting sctipt $0" display_usage() { echo echo "Usage: $0" echo echo " -h, --help Display usage instructions" echo " -t, --testing Test mode" echo " -l, --letsencrypt Use Let's encrypt/Use OpenSSL (default if not specified)" echo " -d, --domains Domain names -d korek.com -d www.ko...
true
6eec068be75bd693f65db3fa6301abb790e624d5
Shell
joshspicer/helloworld-legoblock
/ubuntu/apply.sh
UTF-8
543
3.515625
4
[]
no_license
#!/bin/bash LANG=${LANG:-undefined} HAS_COLOR=${HAS_COLOR:-false} tee /usr/hello.sh > /dev/null \ << EOF #!/bin/bash RED='\033[0;91m' NC='\033[0m' # No Color if [[ "$HAS_COLOR" == true ]]; then echo -e "\${RED}" fi case "$LANG" in "english") echo -n -e "Hello, there!" ...
true
d2d82f6de3555f4deb3e0f41427c384aaaeb88fd
Shell
AlexanderVishnevsky/domashku
/AlexanderVishnevsky/0/files/provision.sh
UTF-8
698
2.859375
3
[]
no_license
#!/bin/bash #Kill all processes sudo killall -r S20 infinite-loop #Chech for updates sudo apt-get update echo "All dependencies are up-to-date" sudo apt-get install memcached echo "++ Memcached" #Conf cp /tmp/site.conf /etc/apache2/sites-available/site.conf a2ensite site.conf #SSL sudo a2enmod ssl rewrite sudo mkdi...
true
ff181f62ac07e0820baadf55a7f3e32e3bf88e84
Shell
killarny/django-template
/project_template/server/uwsgi.sh
UTF-8
345
2.53125
3
[]
no_license
#!/usr/bin/env bash echo "Collecting static files.." python /{{ project_name }}/manage.py collectstatic -v0 --noinput until nc -z -v -w30 database 5432 > /dev/null 2>&1 do echo "Waiting for database container to start..." sleep 5 done python /{{ project_name }}/manage.py migrate --noinput uwsgi /{{ project_name ...
true
e6eb23be70afe2d766237808566bc3c60a24b87d
Shell
a4everyone/a4e._browntrail
/infra/utility/run-lab-report.sh
UTF-8
484
2.921875
3
[]
no_license
#!/bin/bash VOLUMES_INPUT_PATH=~/a4e/volumes/input/dev${LAB_IDX} if [ ! -d $VOLUMES_INPUT_PATH/control ]; then echo ERROR: $VOLUMES_INPUT_PATH/control missing exit 1 fi source $1$2 if [ -z $INPUT_DATA_FILE_NAME ]; then echo ERROR: could not find value for INPUT_DATA_FILE_NAME exit 1 fi cp $1/$INPUT_...
true
c5404dbce8f6e916e11ddd831dd2f236c01bdd7e
Shell
jeromescuggs/.tmux
/install.sh
UTF-8
2,037
3.3125
3
[ "WTFPL", "MIT" ]
permissive
#!/usr/bin/env bash echo "Setting root execution path from $(echo $DIR)..." DIR=$(dirname $(readlink -f $0)) echo " ██╗ ██████╗ ███╗ ███╗ ██╗ ██╗ ██╗ ██╗ ██╗ ██║ ██╔══██╗ ████╗ ████║ ██║ ██║ ╚██╗██╔╝ ██║ ██║ ██████╔╝ ██╔████╔██║ ██║ ██║ ╚███╔╝ ██║ ██ ██║ ██╔══██╗ ██║╚██╔╝██║ ██║ ...
true
ee8042a1e7a364094bad6170a63d8439832a7763
Shell
matteo1990/backup_repo
/2/esercizio.sh~
UTF-8
392
3.5
4
[]
no_license
#!/bin/bash echo -e "quanti file vuoi creare?\n"; read n; if [ $n -gt 10 ]; then echo -e "numero troppo grande"; exit; fi if [ $n -lt 0 ]; then echo -e "numero troppo piccolo"; exit; fi for i in $( seq 1 $n ); do touch "file-$i"; echo - "vuoi dare i permessi x a file-$i? Y/N \n"; read lettera; if [[ $lette...
true
cd1bcb9661ef072bf40035bf745e61520a1e2489
Shell
retinens/laravel-scripts
/retinens-create-admin-account
UTF-8
636
2.859375
3
[]
no_license
#!/bin/bash echo "admin name:" read nameAdmin echo "email of the admin account ;" read emailAdmin echo "admin password:" read -s passwordAdmin echo " <?php use App\User; use Illuminate\Database\Seeder; class DatabaseSeeder extends Seeder { /** * Seed the application's database. * * @return void ...
true
045d5222917f60a5dfdf2e09a783628322b7c6c1
Shell
inissa/system-management
/buildscripts/buildlibcap
UTF-8
817
3.1875
3
[ "MIT", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/bash -e export PKGNAME=libcap export PKGVER=2.25 export PKGTAR=${PKGNAME}-${PKGVER}.tar.xz export PKGURL="https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/${PKGTAR}" export MAKE_JOBS_FLAGS="-j4" export MAKE_INSTALL_FLAGS="RAISE_SETFCAP=no PAM_LIBDIR=/lib prefix=/usr" configure_override() { ...
true
75cecfd747069186aace5ed7337a30fd804da68a
Shell
SHREC-DOE-UF/CMT-bone-BE
/compute-only/compute-genjob-mira.sh
UTF-8
2,986
3.578125
4
[]
no_license
#!/bin/bash if [ $# -lt 2 ]; then echo "x---x---x---x---x---x---x---x---x" echo "No command line argument supplied" echo "Run again with jobscript and data folder name as cmd line inputs" echo "x---x---x---x---x---x---x---x---x" exit 0 fi make clean make #bone-be parameters T...
true
776ab62b4111fb06667a49a1d6ce22892995c49e
Shell
maxkarkowski/dotfiles
/.zshrc
UTF-8
1,443
2.765625
3
[]
no_license
source ~/aliases/.aliases source ~/aliases/.gitalias source ~/aliases/.yarn source $(brew --prefix)/share/antigen/antigen.zsh # Load the oh-my-zsh's library. antigen use oh-my-zsh # Bundles from the default repo (robbyrussell's oh-my-zsh). antigen bundle git antigen bundle zsh-users/zsh-completions antigen bundle hero...
true
09e1a80890909c41601b0459c438237d6740ad66
Shell
rkotamaraja/pso-hdp-local-repo
/scripts/post_yum_ambari_install.sh
UTF-8
837
3.40625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # THIS SCRIPT SHOULD BE RUN ON THE AMBARI SERVER # # ---- AFTER the Ambari-Server has been installed (yum install ambari-server) # ----- AND BEFORE ambari-server start # # Copy over the repoinfo.xml to the stacks area of the newly # install ambari server if [ $# -lt 1 ]; then echo " Please specify ...
true
bf4c7edbe504c1086b6dbba459584d8b850d3c97
Shell
opensourceradio/ram
/usr/local/bin/btd-dropbox-audit
UTF-8
22,919
3.828125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/zsh # shellcheck shell=bash disable=SC2016,SC2034,SC2048,SC2086,SC2154,SC2155,SC2190,SC2207,SC2248,SC2295,SC2296,SC2299,SC2312 # SC2016: $Hash is not a variable, it's a token that gets replaced by git(1) # SC2034: shellcheck does not know about ZSH param expansions # SC2048: huch shellcheck's aggressive quoting ...
true
f817d0962bd76965347819a0ecefb325ac2dd142
Shell
marian-nmt/marian-regression-tests
/tests/training/multi-gpu/test_sync_sgd.sh
UTF-8
841
2.640625
3
[ "MIT" ]
permissive
#!/bin/bash -x # Exit on error set -e if (( $MRT_NUM_DEVICES < 2 )); then echo "Too few devices available" exit 100 fi # Test code goes here rm -rf sync_sgd sync_sgd.log mkdir -p sync_sgd $MRT_MARIAN/marian \ --no-shuffle --seed 777 --mini-batch 4 --maxi-batch 1 --maxi-batch-sort none \ --dim-rnn 64...
true
e28b6a9167b3908786922f4de606c42d4f92b9dd
Shell
cezs/dotfiles
/bash/.bash_profile
UTF-8
886
3.4375
3
[ "Unlicense" ]
permissive
#!/bin/bash # # ~/.profile: executed by the command interpreter for login shells. # This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login # exists. # see /usr/share/doc/bash/examples/startup-files for examples. # the files are located in the bash-doc package. # # the default umask is set in /etc/profile...
true
15b704e773f2b1b858de6e7d4501fded6c409ddf
Shell
sunxm2357/TwoStreamVAN
/bashes/classifier/weizmann_eval.bash
UTF-8
688
2.59375
3
[]
no_license
#!/usr/bin/env bash cd classifier/ EXP_NAME='weizmann_classifier' if [ "${1}" == "--is_actor" ] then EXP_NAME+='_actor' MODEL_IS_ACTOR='--model_is_actor' DATA_IS_ACTOR='--data_is_actor' CKPT_PATH='/research/sunxm/classifier/weizmann/checkpoints/actorAction_best_model.pth.tar' else MODEL_IS_ACTOR=...
true
9685c366a816f858052374de09ea680cc3fcc32b
Shell
AeolusX/daily-scripts
/shell-scripts/软件安装脚本/insPHP7.sh
UTF-8
9,880
3.625
4
[]
no_license
#!/usr/bin/env bash base_dir=/app/local/php srvurl="http://repo-ops.soft.com/soft/php" version=7.1.17 LOG=/tmp/phpinstall.log path_check(){ echo "开始检测目录" for dir in $base_dir do if [ -d $dir ];then echo -e "\033[31mError:${dir}目录已存在,请先确认次目录是否已安装php,如果没有安装,请手动删除此目录,并重新运行此程序!\033[0m" ...
true
3f6e3d48aa632962cf56ad2565976aaf61d1eac4
Shell
janvanmansum/archivematica
/ansible/files/create-superuser.sh
UTF-8
546
2.984375
3
[]
no_license
#!/usr/bin/env bash SUPER_NAME=$1 SUPER_EMAIL=$2 SUPER_PASSWORD=$3 set -a -e -x source /etc/default/archivematica-storage-service || \ source /etc/sysconfig/archivematica-storage-service \ || (echo 'Environment file not found'; exit 1) cd /usr/lib/archivematica/storage-service echo "from django.contrib.auth impor...
true
ea7ea5086b1eb39993fc39a41f5f280c5af89087
Shell
jakutis/dotfiles
/bin/git-remove-local
UTF-8
139
3.0625
3
[]
no_license
#!/usr/bin/env bash BRANCHES=$(git branch | grep -v master) if [ -z "$BRANCHES" ] then exit fi echo "$BRANCHES" | xargs git branch -D
true
4ed6b9a07b6d631be1478cc6cca563f53848b3a1
Shell
qinshulei/leetcode
/TransposeFile/test.bash
UTF-8
200
3.046875
3
[]
no_license
#!/bin/bash # Memory Limit Exceeded row=`head file.txt -n1 | grep -o " " | wc -l` let row=row+1 for i in `seq $row`;do awk -vrow_line=$i '{print $row_line}' file.txt | sed ':a N;s/\n/ /g;ta' done
true
0997a3a9601b447d40844aa6a454facf9ad8c908
Shell
mastarink/zoc
/projects/shn/doprj.sh
UTF-8
95
2.625
3
[]
no_license
#!/bin/sh if [[ -L shn ]] && [[ -f shn/libwork.bash ]] ; then . shn/libwork.bash shn $@ fi
true
9102436c154764c09d992d0a070cf79332fbc272
Shell
straubt1/terraform-enterprise-backup-service
/tfedr
UTF-8
1,788
3.921875
4
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/usr/bin/env bash set -e export TFEDR_CLI_WORKDIR=$(cd $(dirname $0) && pwd) cli_help() { cli_name=${0##*/} echo " $cli_name Terraform Enterprise Backup and Restore CLI Version: $(cat $TFEDR_CLI_WORKDIR/version) https://github.com/straubt1/terraform-enterprise-backup-service Usage: $cli_name [task] Tasks: ins...
true
7fda52fb2cb0ac519bab9d0a43a8a64556249b04
Shell
yuxng/posecnn-pytorch
/experiments/scripts/demo.sh
UTF-8
469
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash set -x set -e export PYTHONUNBUFFERED="True" export CUDA_VISIBLE_DEVICES=$1 LOG="experiments/logs/demo.txt.`date +'%Y-%m-%d_%H-%M-%S'`" exec &> >(tee -a "$LOG") echo Logging output to "$LOG" time ./tools/test_images.py --gpu 0 \ --imgdir data/Images/kitchen \ --network posecnn \ --pretrained data...
true
79b6e59c4c3b539fbc6ae25dd0b64c9ba204ad65
Shell
vinibfranc/ScriptingTools
/ShellScript/basics/tutorial_derekBanas.sh
UTF-8
8,448
4
4
[]
no_license
#!/bin/bash # Comment # echo "Hello World" # myName = "Vini" # declare -r NUM1=5 # num2=4 # num3=$((NUM1+num2)) # num4=$((NUM1-num2)) # num5=$((NUM1*num2)) # num6=$((NUM1/num2)) # echo "5 + 4 = $num3" # echo "5 - 4 = $num4" # echo "5 * 4 = $num5" # echo "5 / 4 = $num6" # echo $((5**2)) # echo $(( 5%4 )) # Assignme...
true
6dac3dda21d7d7f8d573e0de07e0e4fda6c67b98
Shell
missinglink/mongrel2-php
/install/zmqphp-install.sh
UTF-8
585
3.0625
3
[ "LicenseRef-scancode-warranty-disclaimer", "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/sh sudo apt-get update sudo apt-get install -y git-core php5-common php5-dev php5-cli php5-uuid cd /tmp git clone git://github.com/mkoppanen/php-zmq.git cd php-zmq git pull origin master phpize ./configure make sudo make install PHP_INI_PATH=$(php --ini | grep "Scan for additional" | sed -e "s|.*:\s*||") ech...
true
6a4915c8856188e483a723f6d1bd4d60c492b3fc
Shell
IMAGINARY/mima-scripts
/install.sh
UTF-8
247
3.1875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Sync scripts into this repo into users home directory SCRIPTNAME=$(basename "$0") # Change to directory where the install script resides cd "$(dirname "$0")" # Sync files via rsync rsync -a --info=ALL "$PWD/.config" "$PWD/bin" ~/
true
1f0cc631a3ca4d4c1a57a9ae9bd4e0336eddd5e2
Shell
KaOSx/main
/gtk3/PKGBUILD
UTF-8
2,367
2.828125
3
[]
no_license
pkgbase=gtk3 pkgname=('gtk3' 'gtk-update-icon-cache') pkgver=3.24.38 _pkgver=3.24 pkgrel=1 arch=('x86_64') url="https://www.gtk.org/" makedepends=('gobject-introspection' 'cairo' 'libcups' 'libxcursor' 'libxinerama' 'libxrandr' 'libxi' 'libxcomposite' 'libxdamage' 'pango' 'shared-mime-info' 'gdk-pixbuf2'...
true
24383aa824f2c52e61fcb787dc215bcde7f0f13f
Shell
pgomersbach/puppet-autoinstall
/modules/production/nagiosslave/files/check_qnap_serial.sh
UTF-8
1,623
4.125
4
[]
no_license
#!/bin/sh ############################################################################### # # # Nagios plugin to monitor hw serial with get_hwsn on qnap devices # # Written in Bash (and uses sed & awk). ...
true
7ff377d2a87a92eaac631d403f40b0395caf5633
Shell
Saphir/Elan_vim_bashrc
/install.sh
UTF-8
610
3.53125
4
[]
no_license
#!/bin/bash function die() { echo "[ERROR] $@" >&2 exit 1 } now=$(date +%F_%T) echo "[INFO] Make sure vim is 8.0+ with --enable-pythoninterp=yes compiled" cd $(dirname $(readlink -m $0)) for i in vim vimrc bashrc gitconfig cheat zshrc screenrc do [ -e ~/.${i} ] && (mv ~/.${i} ~/.${i}.bak.$now || die "Fa...
true
f827b485568e5d3595ea2ac386d5d759db1dabc1
Shell
alexko/dotfiles
/install
UTF-8
697
3.203125
3
[]
no_license
#!/bin/sh git submodule update --init .zsh .vim z for f in .profile .shrc .bashrc .inputrc .zshrc .tmux.conf .tmux_urxvt_tabs .screenrc .vim .vim/.vimrc .calendar .emacs.d; do fn=$(basename $f) fl=$(readlink -f ~/$fn) [ "$fl" = "$(pwd)/$f" ] || [ ! -r "$f" ] || { echo symlinking $f [ -e ~/$fn -o -h ~/$...
true
16bfbd3ef84107db59e52c3a6768578813679104
Shell
MasayukiMiyake97/JVMWatcher
/product/bin/setEnv.sh
UTF-8
174
2.546875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash export WATCHER_LIBPATH=../lib export WATCHER_CONFIGPATH=../config # get JDK path pathtojava=$(readlink -e $(which javac)) export JDK_LIB=${pathtojava%/*/*}/lib
true